Package org.eclipse.mat.report

## Enum ITestResult.Status

- java.lang.Object
- - java.lang.Enum<ITestResult.Status>
  - - org.eclipse.mat.report.ITestResult.Status

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ITestResult.Status>`

Enclosing interface:
  ITestResult

    public static enum ITestResult.Status
    extends java.lang.Enum<ITestResult.Status>

### Enum Constant Summary

Enum Constants
`ERROR`
`SUCCESS`
`WARNING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ITestResult.Status` `max​(ITestResult.Status a, ITestResult.Status b)` Compare two statuses, and return the worst.
`java.lang.String` `toString()` Translatable name for the status.
`static ITestResult.Status` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ITestResult.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SUCCESS

    public static final ITestResult.Status SUCCESS

#### WARNING

    public static final ITestResult.Status WARNING

#### ERROR

    public static final ITestResult.Status ERROR

### Method Detail

#### values

    public static ITestResult.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ITestResult.Status c : ITestResult.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ITestResult.Status valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Translatable name for the status.

Overrides:
  `toString` in class `java.lang.Enum<ITestResult.Status>`

#### max

    public static ITestResult.Status max​(ITestResult.Status a,
                                         ITestResult.Status b)

Compare two statuses, and return the worst.

Parameters:
  `a` - first status
  `b` - second status
Returns:
  the worst